Update handling trigger details
Update handling trigger details
Required permissions: HANDLING
put/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+handlingUidstringRequiredPattern:
Reference to an handling id.
^[A-Za-z0-9-_]+handlingTriggerUidstringRequiredPattern:
Reference to a handlingTriggerUid
^[A-Za-z0-9-_]+Body
activebooleanRequired
triggerstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| AUTO_PRINT_PICKUP_LABELS | Auto-print pickup labels when order is parked or confirmed |
| SET_EXPIRY_DATE | Set expiry date on order |
statestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Handling has not been started. |
| IN_PROGRESS | Handling is in progress. |
| ON_HOLD | Handling is paused (on hold). |
| COMPLETE | Handling is complete. |
valuestringOptional
handlingTriggerUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
204
Example response
application/json
activebooleanRequired
triggerstring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| AUTO_PRINT_PICKUP_LABELS | Auto-print pickup labels when order is parked or confirmed |
| SET_EXPIRY_DATE | Set expiry date on order |
statestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| NOT_STARTED | Handling has not been started. |
| IN_PROGRESS | Handling is in progress. |
| ON_HOLD | Handling is paused (on hold). |
| COMPLETE | Handling is complete. |
valuestringRequired
handlingTriggerUidstringRequiredPattern:
^[A-Za-z0-9-_]+put/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid}
PUT /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers/{handlingTriggerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"active": true,
"trigger": "AUTO_PRINT_PICKUP_LABELS",
"state": "NOT_STARTED",
"value": "text",
"handlingTriggerUid": "text"
}204
Example response
{
"active": true,
"trigger": "AUTO_PRINT_PICKUP_LABELS",
"state": "NOT_STARTED",
"value": "text",
"handlingTriggerUid": "text"
}Last updated
Was this helpful?

